nxt.account

## Enum AccountLedger.LedgerEvent

- java.lang.Object
- - java.lang.Enum<AccountLedger.LedgerEvent>
  - - nxt.account.AccountLedger.LedgerEvent

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<AccountLedger.LedgerEvent>
  Enclosing class:
    AccountLedger

      public static enum AccountLedger.LedgerEvent
      extends java.lang.Enum<AccountLedger.LedgerEvent>

  Ledger events There must be a ledger event defined for each transaction (type,subtype) pair. When adding a new event, do not change the existing code assignments since these codes are stored in the event_type field of the account_ledger table.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACCOUNT_CONTROL_EFFECTIVE_BALANCE_LEASING`
    `ACCOUNT_CONTROL_PHASING_ONLY`
    `ACCOUNT_INFO`
    `ACCOUNT_PROPERTY_DELETE`
    `ACCOUNT_PROPERTY_SET`
    `ALIAS_ASSIGNMENT`
    `ALIAS_BUY`
    `ALIAS_DELETE`
    `ALIAS_SELL`
    `ARBITRARY_MESSAGE`
    `ASSET_ASK_ORDER_CANCELLATION`
    `ASSET_ASK_ORDER_PLACEMENT`
    `ASSET_BID_ORDER_CANCELLATION`
    `ASSET_BID_ORDER_PLACEMENT`
    `ASSET_DELETE`
    `ASSET_DIVIDEND_PAYMENT`
    `ASSET_INCREASE`
    `ASSET_ISSUANCE`
    `ASSET_PROPERTY_DELETE`
    `ASSET_PROPERTY_SET`
    `ASSET_SET_PHASING_CONTROL`
    `ASSET_TRADE`
    `ASSET_TRANSFER`
    `BLOCK_GENERATED`
    `CHILD_BLOCK`
    `COIN_EXCHANGE_ORDER_CANCEL`
    `COIN_EXCHANGE_ORDER_ISSUE`
    `COIN_EXCHANGE_TRADE`
    `CONTRACT_REFERENCE_DELETE`
    `CONTRACT_REFERENCE_SET`
    `CURRENCY_DELETION`
    `CURRENCY_DISTRIBUTION`
    `CURRENCY_EXCHANGE`
    `CURRENCY_EXCHANGE_BUY`
    `CURRENCY_EXCHANGE_SELL`
    `CURRENCY_ISSUANCE`
    `CURRENCY_MINTING`
    `CURRENCY_OFFER_EXPIRED`
    `CURRENCY_OFFER_REPLACED`
    `CURRENCY_PUBLISH_EXCHANGE_OFFER`
    `CURRENCY_RESERVE_CLAIM`
    `CURRENCY_RESERVE_INCREASE`
    `CURRENCY_TRANSFER`
    `CURRENCY_UNDO_CROWDFUNDING`
    `DIGITAL_GOODS_DELISTED`
    `DIGITAL_GOODS_DELISTING`
    `DIGITAL_GOODS_DELIVERY`
    `DIGITAL_GOODS_FEEDBACK`
    `DIGITAL_GOODS_LISTING`
    `DIGITAL_GOODS_PRICE_CHANGE`
    `DIGITAL_GOODS_PURCHASE`
    `DIGITAL_GOODS_PURCHASE_EXPIRED`
    `DIGITAL_GOODS_QUANTITY_CHANGE`
    `DIGITAL_GOODS_REFUND`
    `FXT_PAYMENT`
    `ORDINARY_PAYMENT`
    `PHASING_VOTE_CASTING`
    `POLL_CREATION`
    `REJECT_PHASED_TRANSACTION`
    `SHUFFLING_CANCELLATION`
    `SHUFFLING_DISTRIBUTION`
    `SHUFFLING_PROCESSING`
    `SHUFFLING_REGISTRATION`
    `TAGGED_DATA_UPLOAD`
    `TRANSACTION_FEE`
    `VOTE_CASTING`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AccountLedger.LedgerEvent` | `fromCode(int code)` Get the event from the event code
    `int` | `getCode()` Return the event code
    `boolean` | `isTransaction()` Check if the event identifier is a transaction
    `static AccountLedger.LedgerEvent` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static AccountLedger.LedgerEvent[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BLOCK_GENERATED

          public static final AccountLedger.LedgerEvent BLOCK_GENERATED

    - #### REJECT_PHASED_TRANSACTION

          public static final AccountLedger.LedgerEvent REJECT_PHASED_TRANSACTION

    - #### TRANSACTION_FEE

          public static final AccountLedger.LedgerEvent TRANSACTION_FEE

    - #### CHILD_BLOCK

          public static final AccountLedger.LedgerEvent CHILD_BLOCK

    - #### ORDINARY_PAYMENT

          public static final AccountLedger.LedgerEvent ORDINARY_PAYMENT

    - #### FXT_PAYMENT

          public static final AccountLedger.LedgerEvent FXT_PAYMENT

    - #### ACCOUNT_INFO

          public static final AccountLedger.LedgerEvent ACCOUNT_INFO

    - #### ALIAS_ASSIGNMENT

          public static final AccountLedger.LedgerEvent ALIAS_ASSIGNMENT

    - #### ALIAS_BUY

          public static final AccountLedger.LedgerEvent ALIAS_BUY

    - #### ALIAS_DELETE

          public static final AccountLedger.LedgerEvent ALIAS_DELETE

    - #### ALIAS_SELL

          public static final AccountLedger.LedgerEvent ALIAS_SELL

    - #### ARBITRARY_MESSAGE

          public static final AccountLedger.LedgerEvent ARBITRARY_MESSAGE

    - #### PHASING_VOTE_CASTING

          public static final AccountLedger.LedgerEvent PHASING_VOTE_CASTING

    - #### POLL_CREATION

          public static final AccountLedger.LedgerEvent POLL_CREATION

    - #### VOTE_CASTING

          public static final AccountLedger.LedgerEvent VOTE_CASTING

    - #### ACCOUNT_PROPERTY_SET

          public static final AccountLedger.LedgerEvent ACCOUNT_PROPERTY_SET

    - #### ACCOUNT_PROPERTY_DELETE

          public static final AccountLedger.LedgerEvent ACCOUNT_PROPERTY_DELETE

    - #### ASSET_ASK_ORDER_CANCELLATION

          public static final AccountLedger.LedgerEvent ASSET_ASK_ORDER_CANCELLATION

    - #### ASSET_ASK_ORDER_PLACEMENT

          public static final AccountLedger.LedgerEvent ASSET_ASK_ORDER_PLACEMENT

    - #### ASSET_BID_ORDER_CANCELLATION

          public static final AccountLedger.LedgerEvent ASSET_BID_ORDER_CANCELLATION

    - #### ASSET_BID_ORDER_PLACEMENT

          public static final AccountLedger.LedgerEvent ASSET_BID_ORDER_PLACEMENT

    - #### ASSET_DIVIDEND_PAYMENT

          public static final AccountLedger.LedgerEvent ASSET_DIVIDEND_PAYMENT

    - #### ASSET_ISSUANCE

          public static final AccountLedger.LedgerEvent ASSET_ISSUANCE

    - #### ASSET_TRADE

          public static final AccountLedger.LedgerEvent ASSET_TRADE

    - #### ASSET_TRANSFER

          public static final AccountLedger.LedgerEvent ASSET_TRANSFER

    - #### ASSET_DELETE

          public static final AccountLedger.LedgerEvent ASSET_DELETE

    - #### ASSET_INCREASE

          public static final AccountLedger.LedgerEvent ASSET_INCREASE

    - #### ASSET_SET_PHASING_CONTROL

          public static final AccountLedger.LedgerEvent ASSET_SET_PHASING_CONTROL

    - #### ASSET_PROPERTY_SET

          public static final AccountLedger.LedgerEvent ASSET_PROPERTY_SET

    - #### ASSET_PROPERTY_DELETE

          public static final AccountLedger.LedgerEvent ASSET_PROPERTY_DELETE

    - #### DIGITAL_GOODS_DELISTED

          public static final AccountLedger.LedgerEvent DIGITAL_GOODS_DELISTED

    - #### DIGITAL_GOODS_DELISTING

          public static final AccountLedger.LedgerEvent DIGITAL_GOODS_DELISTING

    - #### DIGITAL_GOODS_DELIVERY

          public static final AccountLedger.LedgerEvent DIGITAL_GOODS_DELIVERY

    - #### DIGITAL_GOODS_FEEDBACK

          public static final AccountLedger.LedgerEvent DIGITAL_GOODS_FEEDBACK

    - #### DIGITAL_GOODS_LISTING

          public static final AccountLedger.LedgerEvent DIGITAL_GOODS_LISTING

    - #### DIGITAL_GOODS_PRICE_CHANGE

          public static final AccountLedger.LedgerEvent DIGITAL_GOODS_PRICE_CHANGE

    - #### DIGITAL_GOODS_PURCHASE

          public static final AccountLedger.LedgerEvent DIGITAL_GOODS_PURCHASE

    - #### DIGITAL_GOODS_PURCHASE_EXPIRED

          public static final AccountLedger.LedgerEvent DIGITAL_GOODS_PURCHASE_EXPIRED

    - #### DIGITAL_GOODS_QUANTITY_CHANGE

          public static final AccountLedger.LedgerEvent DIGITAL_GOODS_QUANTITY_CHANGE

    - #### DIGITAL_GOODS_REFUND

          public static final AccountLedger.LedgerEvent DIGITAL_GOODS_REFUND

    - #### ACCOUNT_CONTROL_EFFECTIVE_BALANCE_LEASING

          public static final AccountLedger.LedgerEvent ACCOUNT_CONTROL_EFFECTIVE_BALANCE_LEASING

    - #### ACCOUNT_CONTROL_PHASING_ONLY

          public static final AccountLedger.LedgerEvent ACCOUNT_CONTROL_PHASING_ONLY

    - #### CURRENCY_DELETION

          public static final AccountLedger.LedgerEvent CURRENCY_DELETION

    - #### CURRENCY_DISTRIBUTION

          public static final AccountLedger.LedgerEvent CURRENCY_DISTRIBUTION

    - #### CURRENCY_EXCHANGE

          public static final AccountLedger.LedgerEvent CURRENCY_EXCHANGE

    - #### CURRENCY_EXCHANGE_BUY

          public static final AccountLedger.LedgerEvent CURRENCY_EXCHANGE_BUY

    - #### CURRENCY_EXCHANGE_SELL

          public static final AccountLedger.LedgerEvent CURRENCY_EXCHANGE_SELL

    - #### CURRENCY_ISSUANCE

          public static final AccountLedger.LedgerEvent CURRENCY_ISSUANCE

    - #### CURRENCY_MINTING

          public static final AccountLedger.LedgerEvent CURRENCY_MINTING

    - #### CURRENCY_OFFER_EXPIRED

          public static final AccountLedger.LedgerEvent CURRENCY_OFFER_EXPIRED

    - #### CURRENCY_OFFER_REPLACED

          public static final AccountLedger.LedgerEvent CURRENCY_OFFER_REPLACED

    - #### CURRENCY_PUBLISH_EXCHANGE_OFFER

          public static final AccountLedger.LedgerEvent CURRENCY_PUBLISH_EXCHANGE_OFFER

    - #### CURRENCY_RESERVE_CLAIM

          public static final AccountLedger.LedgerEvent CURRENCY_RESERVE_CLAIM

    - #### CURRENCY_RESERVE_INCREASE

          public static final AccountLedger.LedgerEvent CURRENCY_RESERVE_INCREASE

    - #### CURRENCY_TRANSFER

          public static final AccountLedger.LedgerEvent CURRENCY_TRANSFER

    - #### CURRENCY_UNDO_CROWDFUNDING

          public static final AccountLedger.LedgerEvent CURRENCY_UNDO_CROWDFUNDING

    - #### TAGGED_DATA_UPLOAD

          public static final AccountLedger.LedgerEvent TAGGED_DATA_UPLOAD

    - #### SHUFFLING_REGISTRATION

          public static final AccountLedger.LedgerEvent SHUFFLING_REGISTRATION

    - #### SHUFFLING_PROCESSING

          public static final AccountLedger.LedgerEvent SHUFFLING_PROCESSING

    - #### SHUFFLING_CANCELLATION

          public static final AccountLedger.LedgerEvent SHUFFLING_CANCELLATION

    - #### SHUFFLING_DISTRIBUTION

          public static final AccountLedger.LedgerEvent SHUFFLING_DISTRIBUTION

    - #### COIN_EXCHANGE_ORDER_ISSUE

          public static final AccountLedger.LedgerEvent COIN_EXCHANGE_ORDER_ISSUE

    - #### COIN_EXCHANGE_ORDER_CANCEL

          public static final AccountLedger.LedgerEvent COIN_EXCHANGE_ORDER_CANCEL

    - #### COIN_EXCHANGE_TRADE

          public static final AccountLedger.LedgerEvent COIN_EXCHANGE_TRADE

    - #### CONTRACT_REFERENCE_SET

          public static final AccountLedger.LedgerEvent CONTRACT_REFERENCE_SET

    - #### CONTRACT_REFERENCE_DELETE

          public static final AccountLedger.LedgerEvent CONTRACT_REFERENCE_DELETE

  - ### Method Detail

    - #### values

          public static AccountLedger.LedgerEvent[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AccountLedger.LedgerEvent c : AccountLedger.LedgerEvent.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AccountLedger.LedgerEvent valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### isTransaction

          public boolean isTransaction()

      Check if the event identifier is a transaction
      Returns:
        TRUE if the event identifier is a transaction

    - #### getCode

          public int getCode()

      Return the event code
      Returns:
        Event code

    - #### fromCode

          public static AccountLedger.LedgerEvent fromCode(int code)

      Get the event from the event code
      Parameters:
        `code` - Event code
      Returns:
        Event